// Mobile menu toggle
document.querySelector('.menu-toggle').addEventListener('click', function() {
  document.querySelector('.nav-menu').classList.toggle('active');
});

// Sample business data
const businesses = [
  {
    name: "Joe's Cafe",
    category: "Restaurants",
    location: "NYC",
    rating: 4.5,
    image: "cafe.jpg"
  },
  // Add more business data here
];

// Populate business grid
function populateBusinessGrid() {
  const grid = document.getElementById('businessGrid');
  businesses.forEach(business => {
    const card = document.createElement('div');
    card.className = 'business-card';
    card.innerHTML = `
      <h3>${business.name}</h3>
      <p>${business.category}</p>
      <p>Location: ${business.location}</p>
      <p>Rating: ${business.rating}/5</p>
    `;
    grid.appendChild(card);
  });
}

// Search functionality
document.querySelector('.search-button').addEventListener('click', function() {
  const searchTerm = document.getElementById('searchInput').value.toLowerCase();
  const location = document.getElementById('locationSelect').value;
  
  // Filter businesses based on search criteria
  const filteredBusinesses = businesses.filter(business => {
    const matchesSearch = business.name.toLowerCase().includes(searchTerm) ||
                         business.category.toLowerCase().includes(searchTerm);
    const matchesLocation = !location || business.location === location;
    return matchesSearch && matchesLocation;
  });

  // Update business grid with filtered results
  const grid = document.getElementById('businessGrid');
  grid.innerHTML = '';
  filteredBusinesses.forEach(business => {
    // Add filtered businesses to grid
  });
});

// Initialize
document.addEventListener('DOMContentLoaded', function() {
  populateBusinessGrid();
});
